List Commits
GEThttps://api.confident-ai.com/v2/prompts/{promptId}/commits
Lists the commits of the prompt, newest first. Pass branch to list only the commits reachable from that branch.
curl -X GET "https://api.confident-ai.com/v2/prompts/{promptId}/commits" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"commits": [
{
"id": "<COMMIT-ID>",
"hash": "bab04ce",
"message": "Committed from API"
}
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
promptIdstringRequiredThe unique id of the prompt.
Query parameters
branchstringThe name of the branch to read from. Defaults to
mainwhen omitted.
Response
List Commits succeeded.
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
commitslist of objectsThis is the list of commits on the prompt, newest first.
Show 3 propertiesHide 3 properties
idstringThe id of a commit generated by Confident AI, not to be confused with the prompt id or the commit hash.
hashstringThe hash of a commit generated by Confident AI.
messagestringThe message associated with a commit, not to be confused with a prompt's messages.
deprecatedbooleanIndicates if this endpoint is deprecated.